- Please check if "sellerProductName + sellerProductItemName" matches "vendorItemName" on the Coupang website before the product is shipped out.
- If the product is exposed with the wrong information such as its compartments, quantity, volume, etc, please hold the shipping and submit an online inquiry for quick correction. (My product is displayed with wrong information, > select 'Yes' and request.)
- The reflected seller score will be reinstated accordingly in the event that an incorrect display of your product is confirmed.
Path
GET
/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/ordersheets?createdAtFrom=2025-07-29T00:00%2B09:00&createdAtTo=2025-07-29T23:59%2B09:00&searchType=timeFrame&status=DEPARTURE
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String | vendor ID unique code for a seller issued by Coupang
ex) A00012345 |
||||
Query String Parameter
| Name | Required | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| createdAtFrom | O | String |
Query start date(Requires ISO-8601 Compliance)
Write in the query start date/time in the form of "yyyy-mm-ddT00:00%2B0X:00" 08:00 for Taiwan market. 09:00 for South Korean market. ex) 2025-07-01T01:23%2B09:00 |
||||||||||||||||||
| createdAtTo | O | String |
Query end date(Requires ISO-8601 Compliance)
Write in the query end date/time in the form of "yyyy-mm-ddT00:00%2B0X:00" 08:00 for Taiwan market. 09:00 for South Korean market.
ex) 2025-07-01T15:50%2B09:00
You can query within 24 hours of the set day.
|
||||||||||||||||||
| status | O | String |
PO Status
|
||||||||||||||||||
| searchType | String |
search type for order sheets results
"searchType=timeFrame" calls PO List query (by Minute). Other than that, PO List query (paging by day) is the default.
|
|||||||||||||||||||
Request Example
Response Message
| Name | Type | Description | |||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number | server response code |
|||||||||||||||||
| message | String | server response message |
|||||||||||||||||
| data | Array |
result list
the list will return blank when there is no result
|
|||||||||||||||||
| shipmentBoxId | Number | shipment No. (bundled shipment No.) |
|||||||||||||||||
| orderId | Number | order No. |
|||||||||||||||||
| orderedAt | String |
order date/time(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
|||||||||||||||||
| orderer | Object | info of the orderer |
|||||||||||||||||
| name | String | Name of the orderer |
|||||||||||||||||
| String |
e-mail address of the orderer
non-use/empty value("")
|
||||||||||||||||||
| safeNumber | String | contact info of the receiver (safety number)(Requires E.164 Compliance) |
|||||||||||||||||
| ordererNumber | String |
contact info of the orderer (actual phone number)(Requires E.164 Compliance)
null
|
|||||||||||||||||
| paidAt | String |
Date of payment completed(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
|||||||||||||||||
| status | String |
PO Status
|
|||||||||||||||||
| shippingPrice | Object | shipping fee |
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) |
|||||||||||||||||
| units | number | 64-bit integer representing the integer part of the monetary value |
|||||||||||||||||
| nanos | number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] |
|||||||||||||||||
| remotePrice | Object | shipping fees for highlands and islands |
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) |
|||||||||||||||||
| units | number | 64-bit integer representing the integer part of the monetary value |
|||||||||||||||||
| nanos | number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] |
|||||||||||||||||
| remoteArea | Boolean | check if the delivery address is in the highlands or islands |
|||||||||||||||||
| parcelPrintMessage | String |
shipping message
optional
|
|||||||||||||||||
| splitShipping | Boolean | split shipping or not |
|||||||||||||||||
| ableSplitShipping | Boolean | split shipping possible or not possible |
|||||||||||||||||
| receiver | Object | Order modifications are only allowed when the status is 'Payment Completed'. Please verify any changes to the shipping address when updating the order status to 'Preparing Product'. |
|||||||||||||||||
| name | String | Name of the receiver |
|||||||||||||||||
| safeNumber | String | contact info of the receiver (safety number)(Requires E.164 Compliance) |
|||||||||||||||||
| receiverNumber | String |
contact info of the receiver (actual phone number)(Requires E.164 Compliance)
null
|
|||||||||||||||||
| addr1 | String | receiver's delivery address 1 |
|||||||||||||||||
| addr2 | String | receiver's delivery address 2 |
|||||||||||||||||
| postCode | String | receiver's Post code |
|||||||||||||||||
| orderItems | Array | Items to deliver |
|||||||||||||||||
| vendorItemPackageId | Number |
vendorItemPackageId
for non-use/null, it will return 0
|
|||||||||||||||||
| vendorItemPackageName | String |
vendorItemPackageName
non-use
|
|||||||||||||||||
| productId | Number |
Displayed productId
for optional/null, it will return 0
|
|||||||||||||||||
| vendorItemId | Number | vendorItemId |
|||||||||||||||||
| vendorItemName | String | Displayed product name |
|||||||||||||||||
| shippingCount | Number | shippingCount = number of items upon ordering holdCountForCancel = number of items whose orders got cancelled and wait for refund cancelCount = confirmed number of items for cancellation number of items available for PO placement = shippingCount - (holdCountForCancel + cancelCount ) |
|||||||||||||||||
| salesPrice | Object | price per item |
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | |||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | |||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | |||||||||||||||||
| orderPrice | Object | payment amounts: salesPrice*shippingCount |
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | |||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | |||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | |||||||||||||||||
| discountPrice | Object | total discount amounts, discountPrice(total discounts) = instantCouponDiscount(instant discount coupon) + downloadableCoupon(downloadable coupon) + coupangDiscount(Coupang funded discounts) |
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | |||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | |||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | |||||||||||||||||
| instantCouponDiscount | Object |
instant discount coupon
instant discount coupon amounts
|
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | |||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | |||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | |||||||||||||||||
| downloadableCouponDiscount | Object |
downloadable coupon
downloadable coupon amounts
|
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | |||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | |||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | |||||||||||||||||
| coupangDiscount | Object |
Coupang funded discounts
Coupang funded cart/category coupon etc. amounts
|
|||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | |||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | |||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | |||||||||||||||||
| externalVendorSkuCode | String |
external item code
optional
|
|||||||||||||||||
| etcInfoHeader | String |
option input per item
optional
|
|||||||||||||||||
| etcInfoValue | String |
input value by the user for options per item
optional
The field exists but without any value. If necessary, please us below etcInfoValues.
|
|||||||||||||||||
| etcInfoValues | Array |
List of input value by the user for options per item
optional
This query is supported by Version 4 only.
|
|||||||||||||||||
| sellerProductId | Number | Seller product ID |
|||||||||||||||||
| sellerProductName | String | Registered product name |
|||||||||||||||||
| sellerProductItemName | String | Option name as registered |
|||||||||||||||||
| firstSellerProductItemName | String | Originally registered option name |
|||||||||||||||||
| cancelCount | Number | number of orders got cancelled |
|||||||||||||||||
| holdCountForCancel | Number | number of orders waiting for refund |
|||||||||||||||||
| estimatedShippingDate | String |
expected shipping date upon receiving order
(shipping date for split shipment)(Requires ISO-8601 Compliance) optional / yyyy-mm-dd
|
|||||||||||||||||
| plannedShippingDate | String |
actual planned shipping date (for split shipment)(Requires ISO-8601 Compliance)
optional / yyyy-mm-dd
|
|||||||||||||||||
| invoiceNumberUploadDate | String |
Invoice No. upload date(Requires ISO-8601 Compliance)
optional / YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
|||||||||||||||||
| extraProperties | Object |
Additional option info for seller item
optional / key: value type
|
|||||||||||||||||
| pricingBadge | Boolean |
is the item price is the lowest?
true/false
|
|||||||||||||||||
| usedProduct | Boolean |
is it a used item?
true/false
|
|||||||||||||||||
| confirmDate | String |
date of purchase confirmed(Requires ISO-8601 Compliance)
yyyy-MM-dd HH:mm:ss
|
|||||||||||||||||
| deliveryChargeTypeName | String |
delivery charge type:
not-free, free
|
|||||||||||||||||
| upBundleVendorItemId | Number | upbundle option ID |
|||||||||||||||||
| upBundleVendorItemName | String | upbundle display product name |
|||||||||||||||||
| upBundleSize | Number | upbundle count |
|||||||||||||||||
| upBundleItem | Boolean | upbundle item or not true/false |
|||||||||||||||||
| canceled | Boolean |
is the order cancelled?
true/false
|
|||||||||||||||||
| overseaShippingInfoDto | Object |
overseas delivery info
optional
|
|||||||||||||||||
| personalCustomsClearanceCode | String |
Personal Customs Clearance Code optional
|
|||||||||||||||||
| orderersSsn | String |
Not in use
optional
|
|||||||||||||||||
| ordererPhoneNumber | String | Recipient's phone number(Requires E.164 Compliance) |
|||||||||||||||||
| deliveryCompanyName | String |
Courier companies
CJ Logistics, Hanjin Express, etc.
|
|||||||||||||||||
| invoiceNumber | String | Invoice No. |
|||||||||||||||||
| inTrasitDateTime | String |
shipment date (shipped-out date)(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
|||||||||||||||||
| deliveredDate | String |
delivery-completed date(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
|||||||||||||||||
| refer | String |
Payment was made on:
Apps on iPhone, Android or PC/Mobile web page.
|
|||||||||||||||||
shipmentType |
String |
shipment type
THIRD_PARTY, CGF, CGF LITE
|
|||||||||||||||||
| isCod | Boolean |
Is the order Cash on Delivery (COD)
|
|||||||||||||||||
| extraProperties | Object |
Other Information for Order Attributes The following information will be visible in markets that support invoicing:
|
|||||||||||||||||
| nextToken | String |
token value required to send request for next page
It will return null if the current page is the last page.
|
|||||||||||||||||
Response Example
{
"code": 200,
"message": "OK",
"data": [
{
"shipmentBoxId": 64253897***6401429,
"orderId": 22000009546234,
"orderedAt": "2025-01-15T14:17:13.973885-08:00",
"orderer": {
"name": "신*희",
"email": "",
"safeNumber": "+1(555)444-1234",
"ordererNumber": null
},
"paidAt": "2025-01-15T14:17:13.973885-08:00",
"status": "FINAL_DELIVERY",
"shippingPrice": {
"currencyCode": "KRW",
"units": 2500,
"nanos": 0
},
"remotePrice": null,
"remoteArea": false,
"parcelPrintMessage": "문 앞",
"splitShipping": false,
"ableSplitShipping": false,
"receiver": {
"name": "신*희",
"safeNumber": "+1(555)444-1234",
"receiverNumber": null,
"addr1": "경기 광명시 하안1동 두산트레지움아파트",
"addr2": "107동701호",
"postCode": "423-747"
},
"orderItems": [
{
"vendorItemPackageId": 0,
"vendorItemPackageName": "인디고뱅크키즈 기모 테잎배색 트레이닝 팬츠 IKTM17WG1",
"productId": 31846051,
"vendorItemId": 3242596358,
"vendorItemName": "인디고뱅크키즈 기모 테잎배색 트레이닝 팬츠 IKTM17WG1, 07 DARK GREY, 160호",
"shippingCount": 1,
"salesPrice": {
"currencyCode": "KRW",
"units": 19900,
"nanos": 0
},
"orderPrice": {
"currencyCode": "KRW",
"units": 19900,
"nanos": 0
},
"discountPrice": null,
"externalVendorSkuCode": "170816368810",
"etcInfoHeader": null,
"etcInfoValue": null,
"etcInfoValues": [
"추가메시지1",
"추가메시지2"
],
"sellerProductId": 80240831,
"sellerProductName": "인디고뱅크키즈 A5 기모 배색츄키니 IKTM17WG1",
"sellerProductItemName": "07 DARK GREY 160호",
"firstSellerProductItemName": "07 DARK GREY/160호",
"cancelCount": 0,
"holdCountForCancel": 0,
"estimatedShippingDate": "2017-10-16",
"plannedShippingDate": "",
"invoiceNumberUploadDate": "",
"extraProperties": {},
"pricingBadge": false,
"usedProduct": false,
"confirmDate": "2025-01-15T14:17:13.973885-08:00",
"deliveryChargeTypeName": "유료",
"canceled": false
}
],
"overseaShippingInfoDto": {
"personalCustomsClearanceCode": "",
"ordererSsn": "",
"ordererPhoneNumber": ""
},
"deliveryCompanyName": "CJ 대한통운",
"invoiceNumber": "340010913442",
"inTrasitDateTime": "2025-01-15T14:17:13.973885-08:00",
"deliveredDate": "2025-01-15T14:17:13.973885-08:00",
"refer": "안드로이드앱"
"shipmentType": "THIRD_PARTY",
"isCod": false,
"extraProperties":{
"sameDayShipping": "false",
"cutOffTimeHour": "0"}
},
{
"shipmentBoxId": 6425389776401428,
"orderId": 22000009546630,
"orderedAt": "2025-01-15T14:17:13.973885-08:00",
"orderer": {
"name": "김*숙",
"email": "hs*****@na",
"safeNumber": "+1(555)444-1234",
"ordererNumber": null
},
"paidAt": "2025-01-15T14:17:13.973885-08:00",
"status": "FINAL_DELIVERY",
"shippingPrice": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"remotePrice": null,
"remoteArea": false,
"parcelPrintMessage": "직접 받고 부재 시 문 앞",
"splitShipping": false,
"ableSplitShipping": false,
"receiver": {
"name": "김*숙",
"safeNumber": "+1(555)444-1234",
"receiverNumber": null,
"addr1": "경기도 고양시 일산동구 백석동 **아파트",
"addr2": "303-*",
"postCode": "104-48"
},
"orderItems": [
{
"vendorItemPackageId": 0,
"vendorItemPackageName": "리틀브렌 후드달이 구스 경량 점퍼 LBJD17WG5",
"productId": 34047877,
"vendorItemId": 3261300431,
"vendorItemName": "리틀브렌 후드달이 구스 경량 점퍼 LBJD17WG5, 04 MIDDLE MELANGE GR, 170호",
"shippingCount": 1,
"salesPrice": {
"currencyCode": "KRW",
"units": 49900,
"nanos": 0
},
"orderPrice": {
"currencyCode": "KRW",
"units": 49900,
"nanos": 0
},
"discountPrice": {
"currencyCode": "KRW",
"units": 500,
"nanos": 0
},
"instantCouponDiscount": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"downloadableCouponDiscount": {
"currencyCode": "KRW",
"units": 500,
"nanos": 0
},
"coupangDiscount": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"externalVendorSkuCode": "170824416510",
"etcInfoHeader": null,
"etcInfoValue": null,
"etcInfoValues": [
"추가메시지1",
"추가메시지2"
],
"sellerProductId": 87037167,
"sellerProductName": "리틀브렌 후드달이 구스 경량 점퍼 LBJD17WG5",
"sellerProductItemName": "04 MIDDLE MELANGE GR 170호",
"firstSellerProductItemName": "04 MIDDLE MELANGE GR/170호",
"cancelCount": 0,
"holdCountForCancel": 0,
"estimatedShippingDate": "2017-10-16",
"plannedShippingDate": "",
"invoiceNumberUploadDate": "",
"extraProperties": {},
"pricingBadge": false,
"usedProduct": false,
"confirmDate": "2025-01-15T14:17:13.973885-08:00",
"deliveryChargeTypeName": "무료",
"canceled": false
}
],
"overseaShippingInfoDto": {
"personalCustomsClearanceCode": "",
"ordererSsn": "",
"ordererPhoneNumber": ""
},
"deliveryCompanyName": "CJ 대한통운",
"invoiceNumber": "340010912565",
"inTrasitDateTime": "2025-01-15T14:17:13.973885-08:00",
"deliveredDate": "2025-01-15T14:17:13.973885-08:00",
"refer": "안드로이드앱",
"shipmentType": "CGF LITE",
"isCod": false,
"extraProperties": {
"taxReceiptInfo": {
"appliedValue": null,
"receiptOption": "PAPER",
"appliedType": "PERSONAL_COUPANG_MEMBER_CARRIER"
},
"sameDayShipping": "true",
"cutOffTimeHour": "18"
}
}
],
"nextToken": "448537989"
}Error Spec
| HTTP Status code(error type) | error message | solution |
|---|---|---|
| 400 (check parameter requested) | Invalid vendor ID | Please check if you input accurate seller ID (vendor ID). ex) A00012345 |
| 400 (check parameter requested) | endTime-startTime range should less than 0 day | Please check if the query period is set within 24 hrs. |